@echo off
rem ----------------------------------------------------------
rem  Batch file to extract/format WMQI user trace data
rem ----------------------------------------------------------
set version=1.00
set mqsi_trace_file_xml=mqsitrac.xml
set mqsi_trace_file_txt=mqsitrac.txt
set mqsi_trace_file_tab=mqsitrac.tab
set temp_file=mqsitemp.txt
set out_lrecl=100

if "%2" == "" goto usage


echo > %mqsi_trace_file_xml%
echo > %mqsi_trace_file_txt%
echo > %mqsi_trace_file_tab%
mqsireadlog %1 -u -e %2 -f -o %mqsi_trace_file_xml%
mqsiformatlog -i %mqsi_trace_file_xml% -o %temp_file%
mqsitrcf %out_lrecl% < %temp_file% > %mqsi_trace_file_txt%
mqsitrcf -tab        < %temp_file% > %mqsi_trace_file_tab%
DEL %temp_file%

echo _
echo Generated Trace files :
echo    XML format  : %mqsi_trace_file_xml%
echo    Text format : %mqsi_trace_file_txt%
echo    Tab format  : %mqsi_trace_file_tab%
echo _

goto end

:usage
echo ******************************************************
echo * %0    Version %version%
echo *
echo *  Syntax : 
echo *      %0  broker_name  execution_group
echo ******************************************************

:end
